Delete Kiosks

Purpose

To delete an existing Kiosk in Zoho CRM. 

Use the Get All Kiosks API to retrieve the Kiosk ID.

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • DELETE /settings/kiosks
  • DELETE /settings/kiosks/{kiosk_ID}

Request Details

Request URLs

To delete a single Kiosk:
{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}
To delete multiple Kiosks:
{api-domain}/crm/{version}/settings/kiosks?ids={kiosk1_ID},{kiosk2_ID},...

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.DELETE
or
ZohoCRM.settings.ALL
 

Parameters

  • idsstring, optional (Mandatory when deleting more than one Kiosk)

    Specify the IDs of the Kiosks to be deleted. To delete multiple Kiosks, specify the Kiosk IDs as a comma-separated list. Use the Get All Kiosks API to retrieve the Kiosk IDs.

Note

  • You can delete:
    • Draft Kiosks.
    • Deactivated Kiosks.
    • Published Kiosks that are not associated with any supported locations, such as the Home Page, Setup Page, Custom Buttons, or the Record Details View.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/5725767000010015021"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid Kiosk ID
    Resolution: Specify a valid Kiosk ID. Use the Get All Kiosks API to retrieve the Kiosk ID.

  • NOT_ALLOWEDHTTP 400

    Cannot delete the Kiosk because it is associated with one or more supported locations
    Resolution: Deactivate the Kiosk or remove its associations before attempting deletion.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: Remove all existing associations, such as the Home Page, Setup Page, Custom Buttons, or the Record Details View, and then try deleting the Kiosk.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to delete the Kiosk. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "kiosks": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5725767000010078017"
            },
            "message": "deleted successfully",
            "status": "success"
        }
    ]
}